
-- return the window size
getWindowSize = getWindowSize or function()
	return 410, 135
end

-- create and lay out all the controls
createUI = createUI or function()

	createUICommon()
	setBannerContent( "nameOnly", 20, 150 )

	-- constants
	local kKnobSpace = 69
	local kKnobSpaceV = 70

	-- make groups and knobs
	--

	theKnobRenderer = smallKnobRenderer

	miscGroup = group( "OSC" )
	smallKnobAndTextField( miscGroup, "OSC Port Offset",	"Port",		0*kKnobSpace, 0 )
	miscGroup:setVisible( false )

	flipGroup = group( "Flip" )
	smallKnobAndTextField( flipGroup, "Flip L",	"Flip L",		0*kKnobSpace, 0 )
	smallKnobAndTextField( flipGroup, "Flip R",	"Flip R",		1*kKnobSpace, 0 )

	-- positions!

	local xbase = 20
	local ybase = 30
	local x = xbase
	local y = ybase
	
	x = x + 100

	flipGroup:setPosition( x, y )
	x = x + flipGroup:width() + pad
	
	x = x + pad
	
	miscGroup:setPosition( x, y )
	x = x + miscGroup:width() + pad

	local prefsX = x
	local prefsY = y

	-- add directly positioned objects
	--

end		-- of createUI()
